Subject: Re: [PATCH] More test cases for sanitized path names

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Feb 2008 09:45:31 -0800

Robin Rosenberg <[email-masked]> writes:

> fredagen den 1 februari 2008 skrev Junio C Hamano:
>
>> Ah, you found breakages.
>> 
>> I could not quite tell what you meant by these tests with
>> test_expect_failure, either they were misuse or "currently fails
>> but they shouldn't".  Coming up with a small reproducible
>> failure case is 50% of solving the problem.  That's very
>> appreciated.
>> ...
> I had those test cases on my machine from my earlier work on absolute
> path names so I just ran them with your code and extracted those that
> failed and put them into your testsuite instead. That's why I sent them
> so early...

Yeah, I initially did not realize that was what you were doing,
hence the above "I could not quite tell, ... but thanks now I
got it".